> ## Documentation Index
> Fetch the complete documentation index at: https://www.thundercompute.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue an SSH certificate for the organization's sandboxes



## OpenAPI

````yaml https://api.thundercompute.com:8443/openapi.json post /sandboxes/ssh-certificate
openapi: 3.1.0
info:
  contact:
    email: support@thundercompute.com
    name: Thunder Compute API Support
    url: https://thundercompute.com/support
  description: Retrieve current GPU availability using mode-less spec keys
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Thunder Compute API
  version: '1.0'
servers:
  - description: Production server
    url: https://api.thundercompute.com:8443/v1
  - description: Production server
    url: https://api.thundercompute.com:8443
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /sandboxes/ssh-certificate:
    post:
      tags:
        - Sandboxes
      summary: Issue an SSH certificate for the organization's sandboxes
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                - $ref: >-
                    #/components/schemas/thundertypes.SandboxSSHCertificateRequest
                  summary: request
                  description: Client public key to sign
        description: Client public key to sign
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/thundertypes.SandboxSSHCertificateResponse
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/thundertypes.ErrorResponse'
          description: Forbidden
      security:
        - ApiKeyAuth: []
components:
  schemas:
    thundertypes.SandboxSSHCertificateRequest:
      properties:
        ssh_public_key:
          type: string
      required:
        - ssh_public_key
      type: object
    thundertypes.SandboxSSHCertificateResponse:
      properties:
        expires_at:
          type: string
        principal:
          type: string
        ssh_ca_public_key:
          type: string
        ssh_certificate:
          type: string
      type: object
    thundertypes.ErrorResponse:
      properties:
        code:
          example: 400
          type: integer
        error:
          example: invalid_request
          type: string
        message:
          example: The request is malformed
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Bearer token authentication. Provide your API token prefixed with
        "Bearer ", e.g. "Bearer your-api-token".
      in: header
      name: Authorization
      type: apiKey

````